For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.meetstream.ai/api-reference/ap-is/calendar/llms.txt. For full documentation content, see https://docs.meetstream.ai/api-reference/ap-is/calendar/llms-full.txt.

# Disconnect Calendar

POST https://api.meetstream.ai/api/v1/calendar/disconnect
Content-Type: application/json

Reference: https://docs.meetstream.ai/api-reference/ap-is/calendar/disconnect-calendar

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Meetstream API
  version: 1.0.0
paths:
  /api/v1/calendar/disconnect:
    post:
      operationId: disconnect-calendar
      summary: Disconnect Calendar
      tags:
        - subpackage_calendar
      parameters:
        - name: Authorization
          in: header
          description: 'Format: Token <your_api_key>'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Calendar_disconnectCalendar_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalendarCreateRequest'
servers:
  - url: https://api.meetstream.ai
components:
  schemas:
    CalendarCreateRequest:
      type: object
      properties:
        google_client_id:
          type: string
        google_client_secret:
          type: string
        google_refresh_token:
          type: string
      required:
        - google_client_id
        - google_client_secret
        - google_refresh_token
      title: CalendarCreateRequest
    Calendar_disconnectCalendar_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Calendar_disconnectCalendar_Response_200
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: Token <your_api_key>'

```

## SDK Code Examples

```python
import requests

url = "https://api.meetstream.ai/api/v1/calendar/disconnect"

payload = {
    "google_client_id": "string",
    "google_client_secret": "string",
    "google_refresh_token": "string"
}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/calendar/disconnect';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"google_client_id":"string","google_client_secret":"string","google_refresh_token":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/calendar/disconnect"

	payload := strings.NewReader("{\n  \"google_client_id\": \"string\",\n  \"google_client_secret\": \"string\",\n  \"google_refresh_token\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/calendar/disconnect")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"google_client_id\": \"string\",\n  \"google_client_secret\": \"string\",\n  \"google_refresh_token\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.meetstream.ai/api/v1/calendar/disconnect")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"google_client_id\": \"string\",\n  \"google_client_secret\": \"string\",\n  \"google_refresh_token\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.meetstream.ai/api/v1/calendar/disconnect', [
  'body' => '{
  "google_client_id": "string",
  "google_client_secret": "string",
  "google_refresh_token": "string"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/calendar/disconnect");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"google_client_id\": \"string\",\n  \"google_client_secret\": \"string\",\n  \"google_refresh_token\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "google_client_id": "string",
  "google_client_secret": "string",
  "google_refresh_token": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/calendar/disconnect")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```